Skip to main content
PATCH
/
api
/
contacts
/
{id}
/
block
Block contact
curl --request PATCH \
  --url https://your-instance.example.com/api/contacts/{id}/block \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "data": {
    "contact": {
      "_id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "phoneNumber": "<string>",
      "email": "<string>",
      "status": "<string>",
      "pipelineId": "<string>",
      "pipelineStage": "<string>",
      "organizationId": "<string>",
      "userId": "<string>",
      "createdBy": "<string>",
      "assignees": [
        "<unknown>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "syncedDeviceIds": [
      "<string>"
    ],
    "removedDeviceIds": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Contact blocked

message
string
data
object